Summary:   lesstif
Name:      lesstif
Version:   0.88.0
Release:   1
Group:     X11/Libraries/LessTif
Copyright: LGPL
Packager:  Hao Li <hli@wag.caltech.edu>
Source:    ftp://ftp.hungry.com/pub/hungry/lesstif/srcdist/lesstif-%{version}.tar.gz
Patch:     lesstif-%{version}.patch
Prereq:    XFree86-devel
BuildRoot: /var/tmp/%{name}-root

%description
Lesstif is an API compatible clone of the Motif toolkit.
Currently Lesstif is partially implemented with most of the API in place.
Having said this, some of the internal functionality is still missing.
Many Motif applications compile and run out-of-the-box with LessTif,
and we want to hear about those that don't.

%package mwm
Summary: Lesstif Motif window manager clone based on fvwm
Group: X11/Window Managers
%description mwm
MWM is a window manager that adheres largely to the Motif mwm specification.

%package clients
Summary: lesstif clients
Group: X11/Applications
%description clients
Uil and xmbind.

%package devel
Group: Development/Libraries/Lesstiff
Summary: static library and header files for Lesstif/Motif-1.2 developmen
%description devel
This package contains the lesstif static library and header files
required to develop motif-1.2-based applications.
Package also conntains development documentation in html (Lessdox), and
mxmkmf for Lesstif.


%prep
%setup -q
%patch -p1


%build
export CFLAGS=$RPM_OPT_FLAGS
./configure \
	--prefix=/usr/X11R6 --enable-shared --enable-static \
	--enable-build-12 --disable-build-20 --enable-install-12\
	--enable-production --disable-maintainer-mode \
	--with-motif-includes=$PWD/include/Motif-1.2 \
	--with-motif-libraries=$PWD/lib/Xm/.libs

# A bug in configure overides CFLAGS passed to it so we have to do it by hand
for i in `find . -name Makefile`; do
	perl -pi -e "s/^CFLAGS[ \t]*= -g/CFLAGS = $RPM_OPT_FLAGS/" $i
done

make


%install
rm -rf $RPM_BUILD_ROOT
make install-strip prefix=$RPM_BUILD_ROOT/usr/X11R6

(
	cd $RPM_BUILD_ROOT/usr/X11R6
	rm -f include/{Mrm,Xm}
	mv LessTif/Motif1.2/include/{Mrm,Xm} include
	rm -f lib/lib{Mrm,Xm}.*
	mv LessTif/Motif1.2/lib/lib{Mrm,Xm}.* lib
	rm -rf LessTif/Motif1.2
	strip lib/lib*.so.*

	mkdir man/man{1,5}
	mv LessTif/doc/man/man1/* man/man1
	mv LessTif/doc/man/man3/* man/man3
	mv LessTif/doc/man/man5/* man/man5
	rm -rf LessTif/doc/man
)

# These are %doc files
mv $RPM_BUILD_ROOT/usr/X11R6/LessTif .; rm -rf LessTif/{doc,Lessdox}

mkdir -p $RPM_BUILD_ROOT/etc/X11
ln -sf ../../usr/X11R6/lib/X11/mwm $RPM_BUILD_ROOT/etc/X11/mwm

# Generate config files 
cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/config
rm -f Imake.tmpl
perl -ne ' 
    if( /#include <Imake.rules>/ ){              
        print $_;
        print "#include <Motif-lesstif.tmpl>\n";
        print "#include <Motif-lesstif.rules>\n";
    }
    elsif ( /IMAKE_CMD = \$\(IMAKE\)/ ){
        print STDERR "found\n";
        s|\$\(IMAKE\)|\$(IMAKE) -T Imake-lesstif.tmpl|;
        print $_;
    }
    else {
        print $_;
    }
' < /usr/X11R6/lib/X11/config/Imake.tmpl > Imake-lesstif.tmpl

mv Motif.rules Motif-lesstif.rules
mv Motif.tmpl  Motif-lesstif.tmpl

cd $RPM_BUILD_ROOT/usr/X11R6/bin
sed -e 's/imake $args/imake -T Imake-lesstif.tmpl $args/' \
	< `which xmkmf` > mxmkmf


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc LessTif/*
/usr/X11R6/lib/lib*.so.*
/usr/X11R6/man/man1/lesstif.1

%files mwm
%defattr(-,root,root)
%config /usr/X11R6/lib/X11/mwm
%config /usr/X11R6/lib/X11/app-defaults/Mwm
/etc/X11/mwm
/usr/X11R6/bin/mwm
/usr/X11R6/man/man1/mwm.1
/usr/X11R6/man/man5/mwmrc.5

%files clients
%defattr(-,root,root)
/usr/X11R6/bin/uil
/usr/X11R6/bin/xmbind
/usr/X11R6/man/man1/xmbind.1

%files devel
%defattr(-,root,root)
%config /usr/X11R6/lib/X11/config/*
/usr/X11R6/bin/mxmkmf
/usr/X11R6/include/*
/usr/X11R6/lib/lib*.a
/usr/X11R6/lib/lib*.la
/usr/X11R6/lib/lib*.so
/usr/X11R6/man/man3/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Mar 14 1999 Hao Li <hli@wag.caltech.edu>
- lesstif-0.88.0-1.
- Based on spec file from Hungry with lots of clean-up and addition.
- All %doc included into lesstif package and removed from the other three.
- Patch to enable automatic Xlt build.
